ProductVersionImpl.XMLHandler (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.record.impl

## Class ProductVersionImpl.XMLHandler

- java.lang.Object
- - tv.amwa.maj.io.xml.MasterContentHandler
  - - tv.amwa.maj.io.xml.LocalHandler
    - - tv.amwa.maj.record.impl.ProductVersionImpl.XMLHandler

- All Implemented Interfaces:
    ContentHandler, AAFSpecifiedClasses
  Enclosing class:
    ProductVersionImpl

      public static class ProductVersionImpl.XMLHandler
      extends LocalHandler
      implements ContentHandler

  XML parser event handler for converting product version elements into product version values.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[]` | `dataElementNames`
    `static String` | `elementName`

    - ### Fields inherited from interface tv.amwa.maj.industry.AAFSpecifiedClasses

      `abstractInterchangeable, abstractMeta, existingMeta, interchangeable, meta`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `createResult()` Create the resulting object from the deserialization carried out by this content handler.

    - ### Methods inherited from class tv.amwa.maj.io.xml.LocalHandler

      `areAttributesPresent, characters, endDocument, endElement, getAttributesForElement, getAttributeValueChildElement, getBytesFromStream, getElementData, getElementDataList, getInputStreamForName, getSubElement, getSubElementList, isDataElementList, isDataElementPresent, isSingleDataElement, isSingleSubElement, isSubElementList, isSubElementPresent, startElement`

    - ### Methods inherited from class tv.amwa.maj.io.xml.MasterContentHandler

      `endPrefixMapping, getAttributesForThis, getAttributeValueThisElement, getElementName, getFullElementName, getNamespace, ignorableWhitespace, processingInstruction, registerCoreHandlers, registerHandler, registerHandlersForClass, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.xml.sax.ContentHandler

      `characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

- - ### Field Detail

    - #### elementName

          public static final String elementName

      See Also:
        Constant Field Values

    - #### dataElementNames

          public static final String[] dataElementNames

  - ### Constructor Detail

    - #### XMLHandler

          public XMLHandler()

  - ### Method Detail

    - #### createResult

          public Object createResult()
                              throws Exception

      Description copied from class: `LocalHandler`

      Create the resulting object from the deserialization carried out by this content handler. This method must be implemented in every subclass of `LocalHandler` and will be called when data is available from within the methods implementation by calling:

      - `LocalHandler.getElementData(String)` for a child data element of the given element name;
      - `LocalHandler.getSubElement(String)` for a child sub element object of the given element name;
      - `LocalHandler.getSubElementList(String)` for a list of sub element objects of the given element name;
      - `LocalHandler.getAttributesForElement(String)` for the attributes of a child element with the given name.
      Returns:
        Object created from the deserialization of an XML fragment carried out by this content handler.
      Throws:
        `Exception` - TODO

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.